Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] starting open-mpi
From: Dmitry N. Mikushin (maemarcus_at_[hidden])
Date: 2012-05-11 09:17:34


Hi Ghobad,

The error message means the OpenMPI wants to use cl.exe - the compiler
from Microsoft Visual Studio.

Here http://www.open-mpi.org/software/ompi/v1.5/ms-windows.php is it stated:

This is the first binary release for Windows, with basic MPI libraries
and executables. The supported platforms are Windows XP, Windows
Vista, Windows Server 2003/2008, and Windows 7 (including both 32 and
64 bit versions). The installers were configured with CMake 2.8.1 and
compiled under Visual Studio 2010, and they support for C/C++
compilers of Visual Studio 2005, 2008 and 2010.

So, to compile MPI programs you probably need one of this compilers to
be installed.

Best regards.
- Dima.

2012/5/10 Ghobad Zarrinchian <gzarrin.edu_at_[hidden]>:
> Hi all. I'm a new open-mpi user. I've downloaded the
> OpenMPI_v1.5.5-1_win32.exe file to install open-mpi on my dual-core windows
> 7 machine. I installed the file but now i can't compile my mpi programs. I
> use command below (in command prompt window) to compile my 'test.cpp'
> program:
>
>>> mpic++ -o test test.cpp
>
> but i get error as follows:
>
>>> The open mpi wrapper compiler was unable to find the specified compiler
>>> cl.exe in your path.
>      Note that this compiler was either specified at configure time or in
> one several possible environment variables.
>
> What is the problem? Is my compilation command right? Is there any remained
> necessary steps to complete my open-mpi installation?
> Is it necessary to specify some environment variables?
>
> Thanks in advanced.
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users